<template>
  <div class="coussins">
    <h1>Combien d'oreillers dans votre vie ?</h1>
    <img :src="'./assets/' + currentPage + '.png'" class="responsive" />

    <div class="navigation">
      <span @click="removeOne" v-if="currentPage > 1" class="action">-</span>
      <span class="number">{{ currentPage }}</span>
      <span @click="addOne" v-if="currentPage < maxPage" class="action">+</span>
    </div>
  </div>
</template>

<script>
export default {
  name: "Coussins",
  data: function() {
    return {
      currentPage: 1,
      maxPage: 10
    };
  },
  methods: {
    addOne: function() {
      this.currentPage++;
    },
    removeOne: function() {
      this.currentPage--;
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped type="css">
.action {
  background-color: white;
  display: inline-block;
  border-radius: 50%;
  width: 25px;
  height: 25px;
  text-align: center;
  vertical-align: middle;
  padding-top: auto;
  padding-bottom: auto;
  color: red;
  font-weight: 600;
  font-size: 20px;
  border-style: solid;
  border-color: red;
  border-width: 1px;
}
.number {
  color: red;
  padding-left: 10px;
  padding-right: 10px;
  font-weight: 600;
  font-size: 20px;
  font-family: Cambria, Cochin, Georgia, Times, Times New Roman, serif;
}
.responsive {
  max-width: 100%;
  height: auto;
  padding-bottom: 50px;
  padding-top: 50px;
  display: block;
  margin-left: auto;
  margin-right: auto;
}
@media (orientation: landscape) {
  .responsive {
    padding-bottom: 10px;
    padding-top: 10px;
  }
}
h1 {
  font-weight: 900;
  color: red;
  font-family: Arial, sans-serif;
  font-size: 23px;
}
.navigation {
  text-align: center;
}
</style>
